.header {
	position: sticky;
	top: 0;
	background-color: var(--white);
	box-shadow: 0 4px 12px 0 rgba(0, 0, 0, 0.08);
	margin-bottom: 24px;
	z-index: 998;
}

.header-top {
	padding-top: 12px;
	padding-bottom: 12px;
	border-bottom: 1px solid var(--whisper-100);
}

.header-top--wrap {
	position: relative;
	display: flex;
	align-items: center;
	gap: 16px;
}

.header-top__aside {
	display: flex;
	align-items: center;
	gap: 12px;
	margin-left: auto;
	flex-shrink: 0;
}

.header-top__aside-button {
	font-size: 24px;
	color: var(--azure-radiance-400);
}

.header-top__aside-button:hover {
	color: var(--azure-radiance-500);
}


.header-gift__open-button {
	font-size: 24px;
	transition: transform ease .17s;
}

.header-gift__open-button:hover {
	transform: rotate(-6deg) scale(1.07);
}

.header-gift__modal {
	position: absolute;
	top: calc(100% + 12px);
	right: 12px;
	min-width: 320px;
	max-width: 320px;
	padding: 12px;
	background-color: var(--white);
	box-shadow: 0 4px 12px 0 rgba(0, 0, 0, .08);
	border-radius: 8px;
	transition: opacity 0.2s ease-in-out, transform 0.2s ease-in-out, visibility 0.2s ease-in-out;
	visibility: hidden;
	transform: translateY(10px);
	opacity: 0;
	z-index: 1;
}

html.header-gift-open .header-gift__modal {
	visibility: visible;
	transform: translateY(0);
	opacity: 1;
}

.header-gift__close {
	position: absolute;
	top: 6px;
	right: 6px;
	font-size: 20px;
	color: var(--whisper-600);
	transition: color ease .1s;
}

.header-gift__close:hover {
	color: var(--whisper-950);
}

.header-gift__info {
	display: grid;
	align-items: center;
	grid-template-columns: 52px 1fr;
	grid-gap: 10px;
}

.header-gift__image {
	width: 52px;
	height: 52px;
	object-fit: contain;
}

.header-gift__title {
	font-size: 18px;
	font-weight: 600;
	line-height: 20px;
}

.header-gift__description {
	margin-top: 12px;
}

.header-gift__buttons {
	display: flex;
	align-items: center;
	gap: 12px;
	margin-top: 12px;
}

.header-gift__buttons .button {
	flex: 1;
}

.header-gift__modal.loading {
	min-height: 142px;
}

.header-gift__modal.loading:after {
	width: 60px;
	height: 60px;
	
}

.header-top__search-form {
	position: absolute;
	top: -12px;
	right: 0;
	display: none;
	align-items: center;
	justify-content: space-between;
	gap: 24px;
	width: 100%;
	height: calc(100% + 24px);
	background-color: var(--white);
	padding: 12px;
	z-index: 1;
}

html.search-open .header-top__search-form {
	display: flex;
}

.header-top__search-form input {
	max-width: 875px;
	width: 100%;
	height: 100%;
}

.header-top__search-close {
	width: 40px;
	height: 40px;
	font-size: 24px;
	color: var(--radical-red-500);
}

.header-top__search-close:hover {
	color: var(--radical-red-600);
}

.header-top__hamburger-button {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	width: 40px;
	height: 40px;
	box-shadow: inset 0 0 0 1px var(--whisper-200);
	border-radius: 12px;
	padding: 14px 12px;
}

.header-top__hamburger-button span {
	width: 100%;
	height: 2px;
	background-color: var(--whisper-600);
	transition: transform ease .1s, opacity ease .1s;
	pointer-events: none;
}

.header.header--nav .header-top__hamburger-button span:nth-child(1) {
	transform: rotate(45deg) translate(3px, 3px);
}

.header.header--nav .header-top__hamburger-button span:nth-child(2) {
	transform: translateX(6px);
	opacity: 0;
}

.header.header--nav .header-top__hamburger-button span:nth-child(3) {
	transform: rotate(-45deg) translate(4px, -4px);
}

.header__nav-item-link {
	display: flex;
	align-items: center;
	gap: 4px;
	color: var(--whisper-950);
	line-height: 24px;
	transition: color ease .1s, background ease .1s;
}

.header__nav-item:hover > .header__nav-item-link {
	color: var(--radical-red-600);
}

.header__nav-item-chevron {
	font-size: 16px;
	margin-left: auto;
}

.menu__item-icon-image {
	display: block;
	flex-shrink: 0;
	width: 24px;
	height: 24px;
	margin: 0 4px 0 0;
	object-fit: cover;
}

.header__nav-item-rating {
	display: flex;
	align-items: center;
	gap: 2px;
	font-size: 18px;
	font-weight: 600;
	line-height: 0;
}

.header__nav-item-rating .svg-icon {
	font-size: 22px;
	color: var(--mustard-400);
}

.header-bottom ul,
.header-bottom ul li {
	list-style: none;
	margin: 0;
	padding: 0;
}

.header-bottom .header__nav-back {
	display: flex;
	align-items: center;
	gap: 6px;
	color: var(--whisper-600);
	font-size: 18px;
	font-weight: 600;
	margin-bottom: 12px;
	cursor: pointer;
}

.header-bottom .header__nav-back:hover {
	color: var(--whisper-950);
}

.header-bottom .header__nav-back .svg-icon {
	transform: rotate(90deg);
}

.header-bottom .header__nav-item-link {
	padding: 6px 0;
	font-weight: 600;
}

.header-bottom .header__nav-submenu {
	position: absolute;
	top: 0;
	left: 100%;
	width: 100%;
	background-color: var(--white);
}

.header__nav-item:hover > .header__nav-submenu {
	display: block;
	z-index: 1;
}

.header__nav-submenu .header__nav-item-chevron {
	transform: rotate(-90deg);
}

.header__nav-submenu .header__nav-item-link {
	font-weight: 400;
}

.header-bottom__second-menu .menu:not(.header__nav-submenu) {
	gap: 30px;
}

.header-bottom__second-menu .menu:not(.header__nav-submenu) > .header__nav-item > .header__nav-item-link {
	padding: 6px 0;
	font-weight: 400;
}

.header-bottom__second-menu .menu:not(.header__nav-submenu) > .current-menu-ancestor > .header__nav-item-link,
.header-bottom__second-menu .menu:not(.header__nav-submenu) > .current-menu-item > .header__nav-item-link,
.header-bottom__second-menu .menu:not(.header__nav-submenu) > .header__nav-item:hover > .header__nav-item-link {
	color: var(--radical-red-600) !important;
}

.header-bottom__aside {
	display: flex;
	align-items: center;
	gap: 16px;
}

.header-bottom__aside-button {
	font-size: 24px;
	color: var(--azure-radiance-400);
}

.header-bottom__aside-button:hover {
	color: var(--azure-radiance-500);
}

.header-bottom__aside-button--support {
	gap: 8px;
}

.header-bottom__aside-button--support span {
	font-size: 18px;
}



.header__overlay {
	display: none;
	position: absolute;
	top: 65px;
	left: 0;
	width: 100%;
	height: calc(100vh - 48px);
	background-color: rgba(255, 255, 255, 0.68);
	backdrop-filter: blur(4px);
	z-index: 7;
}

html.search-open .header__overlay {
	display: block;
}

.header-search-results {
	display: none;
	position: absolute;
	top: 65px;
	left: 0;
	width: 100%;
	padding-bottom: 24px;
	background-color: var(--white);
	z-index: 10;
}

html.search-open .header-search-results {
	display: block;
}

.header-search-results__title {
	font-size: 18px;
	line-height: 20px;
	margin-top: 36px;
	margin-bottom: 24px;
	font-weight: 600;
}

.header-search-results__content ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.header-search-results__content ul li {
	border-bottom: 1px solid var(--whisper-100);
}

.header-search-results__content ul li:not(:last-child) {
	margin-bottom: 12px;
}

.header-search-results__content ul a {
	display: block;
	color: var(--azure-radiance-500);
	padding-bottom: 12px;
	line-height: 20px;
}

.header-search-results__content ul a:hover {
	color: var(--azure-radiance-400);
}


.header__main-calendarbox {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	padding: 16px 5px;
	align-items: flex-start;
	background-color: rgba(54, 48, 59, 0.7);
	display: none;
	overflow: auto;
	z-index: 1;
}

.calendar-tour-open .header__main-calendarbox {
	display: flex;
}

.header__main-calendarbox-inside {
	width: 100%;
	padding: 8px 16px 16px 16px;
	background-color: var(--white);
	border-radius: 12px;
}

.header__main-calendarbox--header {
	display: grid;
	align-items: center;
	grid-template-columns: 1fr 40px;
	margin-bottom: 16px;
}

.header__main-calendarbox--title {
	display: flex;
	align-items: center;
	gap: 8px;
	font-size: 18px;
	font-weight: 600;
}

.header__main-calendarbox--title .svg-icon {
	font-size: 20px;
	cursor: pointer;
	transition: color ease .1s;
}

.header__main-calendarbox--title .svg-icon:hover {
	color: var(--azure-radiance-500);
}

.header__main-calendarbox--close:hover {
	color: var(--azure-radiance-500);
	box-shadow: inset 0 0 0 2px var(--azure-radiance-400);
}

.header__main-calendarbox--close .svg-icon {
	font-size: 20px;
}

.header__main-calendarbox--calendar {
	margin-bottom: 16px;
}

.header__main-calendarbox--calendar-date {
	display: none;
}

.header__main-calendarbox--calendar .datepicker-dropdown {
	position: static;
	display: block !important;
	width: 100%;
}

.header__main-calendarbox--calendar .datepicker-picker {
	padding: 0;
	box-shadow: none;
	border-radius: 0;
}

.header__main-calendarbox--tour .tour-box:not(:first-child) {
	display: none;
}

.header__main-calendarbox--btn {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 0 16px;
	font-size: 14px;
	width: 100%;
	height: 40px;
	color: var(--whisper-950);
	background-color: none;
	box-shadow: 0 0 0 1px var(--whisper-200);
	border: none;
	border-radius: 12px;
	margin-top: 16px;
	transition: box-shadow ease .1s;
}

.header__main-calendarbox--btn:hover {
	box-shadow: 0 0 0 2px var(--azure-radiance-500);
}

.header-search-results__content--menu {
	max-height: 260px;
	overflow: auto;
}

.header-search-results__content--menu:not(:last-child) {
	display: none;
}

.search__result-item, 
.search__results-content ul li {
	margin: 0 0 12px;
	padding: 0;
	border-bottom: 1px solid var(--whisper-100);
}

.search__result-item-link,
.search__results-content ul li a {
	display: grid;
	align-items: center;
	grid-template-columns: 24px 1fr;
	grid-gap: 8px;
	color: var(--whisper-700);
	padding-bottom: 12px;
}

.search__result-item-link:hover,
.search__results-content ul li a:hover {
	text-decoration: underline;
	text-underline-position: under;
}

.search__result-item-image {
	display: block;
	width: 100%;
	height: 24px;
	object-fit: cover;
}

.search__result-item-aside--icon {
	font-size: 20px;
	color: var(--whisper-600);
	text-align: center;
}

.search__result-item-highlight {
	color: var(--whisper-950);
}

.header-room {
	margin: 6px 0 12px;
	order: 1;
}

.header-room__head {
	padding: 13px 15px 7px;
	background-color: var(--comet-950);
	border-radius: 4px 4px 0 0;
}

.header-room__poster > img {
	width: 170px;
}

.header-room__rating {
	justify-content: center;
}

.header-room__rating .svg-icon {
	font-size: 16px;
}

.header-room__info {
	padding: 12px;
	background-color: var(--comet-50);
	border-radius: 0 0 4px 4px;
}

.header-room__bonus {
	font-weight: 600;
	line-height: 20px;
	margin-bottom: 12px;
}

.header-room__buttons {
	display: flex;
	align-items: center;
	gap: 12px;
}

.header-room__buttons .button {
	flex: 1;
}

.header-room__button--play:not(:empty) ~ .header-room__button--review {
	display: none;
}

.header-room__button--play {
	order: 1;
}

.header-room__button--play:not(:empty) ~ .header-room__button--promocode {
	background-color: transparent;
	color: var(--azure-radiance-500);
	box-shadow: inset 0 0 0 1px var(--whisper-300);
}

.header-room__button--play:not(:empty) ~ .header-room__button--promocode .button--promocode__code::before {
	color: var(--whisper-400);
}

.header-room__button--play:not(:empty) ~ .header-room__button--promocode:hover {
	box-shadow: inset 0 0 0 2px var(--azure-radiance-500);
}

@media (max-width: 1199.98px) {
	html.nav-open {
		overflow: hidden;
	}

	.header-bottom {
		position: absolute;
		top: 100%;
		right: 0;
		max-width: 320px;
		width: 100%;
		height: calc(100vh - 65px);
		padding: 12px 12px 65px 12px;
		background-color: var(--white);
		box-shadow: 0 4px 12px 0 rgba(0,0,0,0.08);
		overflow-y: auto;
		overflow-x: hidden;
		display: none;
		z-index: 8;
	}

	.header-bottom--no-scroll {
		overflow: hidden;
	}

	.header.header--nav .header__overlay,
	.header.header--nav .header-bottom {
		display: block;
	}

	.header__nav-item-chevron {
		transform: rotate(-90deg);
	}

	.header-bottom--wrap {
		display: flex;
		flex-direction: column;
	}

	.header-bottom__primary-menu {
		overflow: hidden;
		order: 0;
	}

	.header-bottom__primary-menu .current-menu-ancestor > .header__nav-item-link,
	.header-bottom__primary-menu .current-menu-item > .header__nav-item-link {
		color: var(--radical-red-600);
	}

	.header-bottom .header__nav-submenu--active {
		left: 0;
		height: 100%;
		padding: 24px 24px 120px 24px;
		overflow-y: auto;
		overflow-x: hidden;
		z-index: 1;
	}

	.header-bottom__second-menu {
		order: 3;
	}

	.header-bottom__second-menu .current-menu-ancestor > .header__nav-item-link,
	.header-bottom__second-menu .current-menu-item > .header__nav-item-link {
		color: var(--radical-red-600);
	}

	.header-bottom__aside {
		order: 2;
		margin-bottom: 12px;
	}

	.header-bottom__aside-button--calendar,
	.header-bottom__aside-button--telegram,
	.header-bottom__aside-button--auth,
	.header-bottom__aside-button--logout,
	.header-bottom__aside-button--profile {
		display: none;
	}

	.header-bottom__aside-button--support {
		width: 100%;
		justify-content: flex-start;
		padding: 12px 0;
		border-top: 1px solid var(--whisper-100);
		border-bottom: 1px solid var(--whisper-100);
		border-radius: 0;
	}
}

@media (min-width: 576px) {
	.header-top__search-form {
		width: calc(100% - 170px);
	}

	.header-search-results__content {
		width: calc(100% - 170px);
		margin-left: auto;
	}

	.header-gift {
		position: relative;
	}

	.header-gift__modal {
		right: 0;
	}
}

@media (min-width: 768px) {
	.header__main-calendarbox {
		position: absolute;
		top: 100%;
		left: auto;
		right: 160px;
		width: 378px;
		height: auto;
		padding: 0;
		background-color: none;
		box-shadow: 0 4px 15px 0 rgba(0,0,0,0.15);
		border-radius: 12px;
		transition: top ease .1s;
	}
}

@media (min-width: 1200px) {
	.header.sticky:not(.header--nav) {
		margin-bottom: 72px;
	}

	.header-top--wrap {
		gap: 0;
	}

	.header-top__hamburger {
		width: 0;
		overflow: hidden;
		order: -1;
		transition: width ease .1s, margin ease .1s;
	}

	.header-top__aside {
		gap: 16px;
	}

	.header-top__aside-button {
		display: none;
	}

	.header-bottom__aside {
		margin-left: auto;
	}

	.header__main-calendarbox {
		top: calc(100% + 60px);
	}

	.header__nav-item {
		position: relative;
	}

	.header-bottom {
		height: 48px;
	}

	.header-bottom--wrap {
		position: relative;
		display: flex;
		align-items: center;
	}

	.header-bottom .header__nav-item-link {
		font-size: 15px;
	}

	.header-bottom .header__nav-back {
		display: none;
	}

	.header-bottom .menu:not(.header__nav-submenu) {
		display: flex;
		align-items: center;
	}

	.header-bottom .header__nav-submenu {
		top: 100%;
		left: 0;
		min-width: 300px;
		box-shadow: 0 4px 12px 0 rgba(0, 0, 0, 0.08);
		display: none;
	}

	.header-bottom .header__nav-submenu .header__nav-submenu {
		top: 0;
		left: 100%;
	}

	.header-bottom__primary-menu > .menu > .header__nav-item:nth-last-child(1) > .header__nav-submenu .header__nav-submenu,
	.header-bottom__primary-menu > .menu > .header__nav-item:nth-last-child(2) > .header__nav-submenu .header__nav-submenu,
	.header-bottom__primary-menu > .menu > .header__nav-item:nth-last-child(3) > .header__nav-submenu .header__nav-submenu {
		left: auto;
		right: 100%
	}

	.header-bottom__primary-menu {
		position: absolute;
		top: -65px;
		left: 190px;
		max-width: calc(100% - 180px - 125px);
		transition: left ease .1s;
	}

	.header-bottom__primary-menu .header__nav-item-link {
		padding: 20px 7px 17px;
		border-bottom: 4px solid transparent;
	}

	.header-bottom__primary-menu .current-menu-ancestor > .header__nav-item-link,
	.header-bottom__primary-menu .current-menu-item > .header__nav-item-link {
		border-color: var(--radical-red-600);
	}

	.header__nav-submenu .header__nav-item:not(:last-child) {
		border-bottom: 1px solid var(--whisper-100);
	}

	.header__nav-submenu .header__nav-item-link {
		padding: 12px;
		border: none;
	}

	.header__nav-submenu .current-menu-ancestor > .header__nav-item-link,
	.header__nav-submenu .current-menu-item > .header__nav-item-link,
	.header__nav-submenu .header__nav-item:hover > .header__nav-item-link {
		color: var(--white);
		background-color: var(--radical-red-600);
	}

	.header-bottom__second-menu .menu:not(.header__nav-submenu) > .header__nav-item > .header__nav-item-link {
		font-size: 14px;
		color: var(--whisper-700);
		padding: 12px 0;
	}

	.header-bottom__second-menu .menu:not(.header__nav-submenu) > .header__nav-item > .header__nav-item-link > .header__nav-item-chevron {
		color: var(--whisper-400);
	}

	.header-bottom__second-menu .menu:not(.header__nav-submenu) > .header__nav-item:hover > .header__nav-item-link > .header__nav-item-chevron {
		color: var(--radical-red-600);
	}

	.header-bottom__aside-button--support span {
		display: none;
	}

	.header-room {
		display: none;
	}


	.header.sticky .header-bottom__primary-menu {
		left: 220px;
	}

	.header.sticky .header-top__hamburger {
		width: 40px;
		margin-right: 16px;
		overflow: unset;
	}

	.header.sticky:not(.header--nav) .header-bottom {
		height: 0;
	}

	.header.sticky:not(.header--nav) .header-bottom__second-menu,
	.header.sticky:not(.header--nav) .header-bottom__aside {
		display: none;
	}

	.header.sticky .header__main-calendarbox {
		top: calc(100% + 10px);
	}
}